;;; kto.el --- kto na serwerze
;;
;; (c) kpm 2024 - wtfpl
;;
;; ~/txt/data.rcon: setq *RCON-{IP,PORT,PASSWORD}*

(require 'rcon)
(load "~/txt/data.rcon")

(defun kto ()
  "Kto jest na serwerze?"
  (interactive)
  (setq rcon-response-handler
        (lambda (s)
          (sleep-for 0.2)
          (let ((n (cadr (s-split ": " s))))
            (cond
             ((string= n "") (message "nie ma nikogo :("))
             (t
              (message n))))))
  (when (not (get-process rcon-proc-name))
    (rcon-connect *RCON-IP* *RCON-PORT* *RCON-PASSWORD*))
  (sleep-for 0.5)
  (rcon-execute-command "list"))

(provide 'kto)
